+ Array {
	time2secs {
		var array, secs=0;
		// expects [hrs], [mins], secs
		array= this.copy;
		array.reverseDo{|i, ind| 
			secs = secs + (i* [1, 60, 3600][ind])
		};
		^secs
	}	
}

/*

[0, 4, 33].time2secs // => 273

reads right to left

[2, 8].time2secs // => 128

[39].time2secs // => 39

// means 2 mins
2.time2secs // => 120

*/


+ SimpleNumber {
	time2secs { ^[this, 0].time2secs }
	
	// compensates for Lance Putman's asTimeString override
	// drops milliseconds and empty hours
	asTimeString1 {
		var time = this.round(1).asTimeString;
		if(time.size >= 12, {
			time = time.keep(8);
			if (time.beginsWith("00:"), {
				time = time.drop(3);
			});
		});
		^time		
	}

	secs2time {
		var time;
		time = this.asTimeString1;
		time = ("["+time.tr($:, $,)+"]").interpret
		^time
	}	
}


/*

a = 5!3 // 3 x 5 minute parts
// or
a = 15.partition(parts: 3, min: 3)

a = a.integrate // at 5, 10, 15 minutes
// time2secs assumes mins if no array for each item
a = a.collect{|i| i.time2secs.secs2time}

*/